import QtQuick 2.0
import QtQuick.XmlListModel 2.0

XmlListModel {
    id: applicationsModel

    source: "../../applications_list.xml"
    query: "/feed/entry"
    namespaceDeclarations: "declare default element namespace 'http://www.w3.org/2005/Atom';"


    XmlRole { name: "applicationName"; query: "title/string()" }
    XmlRole { name: "applicationDescription"; query: "description/string()" }
    XmlRole { name: "applicationImage"; query: "link[@rel='enclosure']/@href/string()" }
    XmlRole { name: "applicationPath"; query: "path/@exec/string()" }
    XmlRole { name: "applicationArg"; query: "arg/string()" }
}
